play.libs

## Class IO

- java.lang.Object
- - play.libs.IO

-     public class IO
      extends java.lang.Object

  IO utils

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IO()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copy(java.io.InputStream is, java.io.OutputStream os)` Copy an stream to another one.
    `static void` | `copyDirectory(java.io.File source, java.io.File target)`
    `static byte[]` | `readContent(java.io.File file)` Read binary content of a file (warning does not use on large file !)
    `static byte[]` | `readContent(java.io.InputStream is)` Read binary content of a stream (warning does not use on large file !)
    `static java.lang.String` | `readContentAsString(java.io.File file)` Read file content to a String (always use utf-8)
    `static java.lang.String` | `readContentAsString(java.io.File file, java.lang.String encoding)` Read file content to a String
    `static java.lang.String` | `readContentAsString(java.io.InputStream is)` Read the Stream content as a string (use utf-8)
    `static java.lang.String` | `readContentAsString(java.io.InputStream is, java.lang.String encoding)` Read the Stream content as a string
    `static java.util.List<java.lang.String>` | `readLines(java.io.File file)`
    `static java.util.List<java.lang.String>` | `readLines(java.io.File file, java.lang.String encoding)`
    `static java.util.List<java.lang.String>` | `readLines(java.io.InputStream is)`
    `static java.util.Properties` | `readUtf8Properties(java.io.InputStream is)` Read a properties file with the utf-8 encoding
    `static void` | `write(byte[] data, java.io.File file)` Write binary data to a file
    `static void` | `write(java.io.InputStream is, java.io.File f)` Copy an stream to another one.
    `static void` | `write(java.io.InputStream is, java.io.OutputStream os)` Copy an stream to another one.
    `static void` | `writeContent(java.lang.CharSequence content, java.io.File file)` Write String content to a file (always use utf-8)
    `static void` | `writeContent(java.lang.CharSequence content, java.io.File file, java.lang.String encoding)` Write String content to a file (always use utf-8)
    `static void` | `writeContent(java.lang.CharSequence content, java.io.OutputStream os)` Write String content to a stream (always use utf-8)
    `static void` | `writeContent(java.lang.CharSequence content, java.io.OutputStream os, java.lang.String encoding)` Write String content to a stream (always use utf-8)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IO

          public IO()

  - ### Method Detail

    - #### readUtf8Properties

          public static java.util.Properties readUtf8Properties(java.io.InputStream is)

      Read a properties file with the utf-8 encoding
      Parameters:
        `is` - Stream to properties file
      Returns:
        The Properties object

    - #### readContentAsString

          public static java.lang.String readContentAsString(java.io.InputStream is)

      Read the Stream content as a string (use utf-8)
      Parameters:
        `is` - The stream to read
      Returns:
        The String content

    - #### readContentAsString

          public static java.lang.String readContentAsString(java.io.InputStream is,
                                                             java.lang.String encoding)

      Read the Stream content as a string
      Parameters:
        `is` - The stream to read
        `encoding` - Encoding to used
      Returns:
        The String content

    - #### readContentAsString

          public static java.lang.String readContentAsString(java.io.File file)

      Read file content to a String (always use utf-8)
      Parameters:
        `file` - The file to read
      Returns:
        The String content

    - #### readContentAsString

          public static java.lang.String readContentAsString(java.io.File file,
                                                             java.lang.String encoding)

      Read file content to a String
      Parameters:
        `file` - The file to read
        `encoding` - Encoding to used
      Returns:
        The String content

    - #### readLines

          public static java.util.List<java.lang.String> readLines(java.io.InputStream is)

    - #### readLines

          public static java.util.List<java.lang.String> readLines(java.io.File file,
                                                                   java.lang.String encoding)

    - #### readLines

          public static java.util.List<java.lang.String> readLines(java.io.File file)

    - #### readContent

          public static byte[] readContent(java.io.File file)

      Read binary content of a file (warning does not use on large file !)
      Parameters:
        `file` - The file te read
      Returns:
        The binary data

    - #### readContent

          public static byte[] readContent(java.io.InputStream is)

      Read binary content of a stream (warning does not use on large file !)
      Parameters:
        `is` - The stream to read
      Returns:
        The binary data

    - #### writeContent

          public static void writeContent(java.lang.CharSequence content,
                                          java.io.OutputStream os)

      Write String content to a stream (always use utf-8)
      Parameters:
        `content` - The content to write
        `os` - The stream to write

    - #### writeContent

          public static void writeContent(java.lang.CharSequence content,
                                          java.io.OutputStream os,
                                          java.lang.String encoding)

      Write String content to a stream (always use utf-8)
      Parameters:
        `content` - The content to write
        `os` - The stream to write
        `encoding` - Encoding to used

    - #### writeContent

          public static void writeContent(java.lang.CharSequence content,
                                          java.io.File file)

      Write String content to a file (always use utf-8)
      Parameters:
        `content` - The content to write
        `file` - The file to write

    - #### writeContent

          public static void writeContent(java.lang.CharSequence content,
                                          java.io.File file,
                                          java.lang.String encoding)

      Write String content to a file (always use utf-8)
      Parameters:
        `content` - The content to write
        `file` - The file to write
        `encoding` - Encoding to used

    - #### write

          public static void write(byte[] data,
                                   java.io.File file)

      Write binary data to a file
      Parameters:
        `data` - The binary data to write
        `file` - The file to write

    - #### copy

          public static void copy(java.io.InputStream is,
                                  java.io.OutputStream os)

      Copy an stream to another one.
      Parameters:
        `is` - The source stream
        `os` - The destination stream

    - #### write

          public static void write(java.io.InputStream is,
                                   java.io.OutputStream os)

      Copy an stream to another one.
      Parameters:
        `is` - The source stream
        `os` - The destination stream

    - #### write

          public static void write(java.io.InputStream is,
                                   java.io.File f)

      Copy an stream to another one.
      Parameters:
        `is` - The source stream
        `f` - The destination file

    - #### copyDirectory

          public static void copyDirectory(java.io.File source,
                                           java.io.File target)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly